Gantt module - Defect #189

Scrollbar causes flashing of window
11/20/2010 04:48 PM - peter degroot

Status: Resolved
Priority: Normal
Assignee:

Category:

Target version:

Browser (if web
client):

Start date: 11/20/2010
Due date:

% Done: 0%
Estimated time: 0.00 hour

Description

When there are many task in the list and the righthand scrollbar is dragged to the bottom the screen flashes when a task is clicked.

History

#1 - 11/20/2010 05:00 PM - Robert Ivens

This is due to the fact that the whole form is being recreated to highlight the clicked row and then the scrollbar position is set to old position.
Unfortunately the scrollbar position can only be set AFTER the form is painted. So the flashing is the scrollbar moving.
| have filed a feature request with Servoy to be able to set the scrollbar position in the controller.recreateUl() function.

#2 - 04/04/2011 12:31 PM - Robert Ivens

- Status changed from New to Resolved

Good news. Just received an update on my feature request #317587.

In Servoy 6.0 the recreateUI() call will remember the scrollbar position and will work both in Smart and Webclient.
